<?php

namespace App\Http\Livewire;

use App\Models\settings as ModelsSettings;
use Auth;
use Illuminate\Support\Env;
use Illuminate\Support\Facades\Storage;
use Livewire\WithFileUploads;
use Livewire\Component;
use Illuminate\Support\Facades\Hash;

class Settings extends Component
{

    use WithFileUploads;
    public $delivery_charges;
    public $photo;
    public $oldpin;
    public $newpin;
    public $repeatpin;
    public $company_name;
    public $oldpwdwrong ;
    public $notmatch =false;
    public $bizaddress ;
    public $upi;
    public function render()
    {
        return view('livewire.settings');
    }
    public function mount(){
        $this->company_name = ModelsSettings::where('key','name')->count() == 0 ?  config('app.name', 'RPOS') : ModelsSettings::where('key','name')->first()->value ;
        $this->bizaddress = ModelsSettings::where('key','address')->count() == 0 ?  null : ModelsSettings::where('key','address')->first()->value ;
        $this->upi = ModelsSettings::where('key','upi')->count() == 0 ?  null : ModelsSettings::where('key','upi')->first()->value ;
        $this->delivery_charges = ModelsSettings::where('key','delivery_charges')->count() == 0 ?  null : ModelsSettings::where('key','delivery_charges')->first()->value ;

    }


    public function save_info(){
        if($this->photo != null){
           $name = rand(1,1000000) . '.'.$this->photo->getClientOriginalExtension();
            $this->photo->storeAs('public/photos',$name);
            if(ModelsSettings::where('key','logo')->count() > 0){
                  ModelsSettings::where('key','logo')->update(['value'=>$name]);
            }else{
                ModelsSettings::create(['key'=>'logo','value'=>$name]);
            }
            if(ModelsSettings::where('key','name')->count() > 0){
                ModelsSettings::where('key','name')->update(['value'=>$this->company_name]);
          }else{
              ModelsSettings::create(['key'=>'name','value'=>$this->company_name]);
          }
        
        }else{    if(ModelsSettings::where('key','name')->count() > 0){
            ModelsSettings::where('key','name')->update(['value'=>$this->company_name]);
      }else{
          ModelsSettings::create(['key'=>'name','value'=>$this->company_name]);
      }
            
        }
        $this->emitTo('livewire-toast', 'show', 'Saved Successfully'); //Will show Success Message

        //session()->flash('livewire-toast', 'Project Added Successfully');
    }

    public function dc(){
        if(ModelsSettings::where('key','delivery_charges')->count() > 0){

            ModelsSettings::where('key','delivery_charges')->update(['value'=>$this->delivery_charges]);
      }else{
          ModelsSettings::create(['key'=>'delivery_charges','value'=>$this->delivery_charges]);
      }
      $this->emitTo('livewire-toast', 'show', 'Saved Successfully'); //Will show Success Message

    }

    public function change_pwd(){
        //dd(ModelsSettings::where('key','pin')->first()->value.$this->oldpin);
        //Hash::check($this->oldpin,ModelsSettings::where('key','pin')->first()->value)
        if(Hash::check($this->oldpin,ModelsSettings::where('key','pin')->first()->value) == false){
            $this->oldpwdwrong = true;
        }else{
            $this->oldpwdwrong = false;
            if($this->newpin == $this->repeatpin){
                $this->notmatch = true;
                ModelsSettings::where('key','pin')->update(['value'=>Hash::make($this->newpin)]);
               
                return redirect()->route('log');
            }else{
                $this->notmatch = false;
            }
        }
        $this->emitTo('livewire-toast', 'show', 'Saved Successfully'); //Will show Success Message

    }
    public function bizz(){
        if(ModelsSettings::where('key','address')->count() > 0){
            ModelsSettings::where('key','address')->update(['value'=>$this->bizaddress]);
        }else{
          ModelsSettings::create(['key'=>'address','value'=>$this->bizaddress]);
      }
      if(ModelsSettings::where('key','upi')->count() > 0){
        ModelsSettings::where('key','upi')->update(['value'=>$this->upi]);
    }else{
      ModelsSettings::create(['key'=>'upi','value'=>$this->upi]);
  }
  $this->emitTo('livewire-toast', 'show', 'Saved Successfully'); //Will show Success Message

    }
    
}
