<?php

namespace App\Http\Livewire;

use App\Models\delivery_menu;
use App\Models\delivery_menu_extras;
use App\Models\extras;
use App\Models\invoices;
use App\Models\products;
use App\Models\tables;
use Carbon\Carbon;
use Livewire\Component;

class TableInfo extends Component
{

    public $sd ;
    public $table_id;
    public $count = 0;
    public $items = [];
    public $i = 1;
    public $modal = false;
    public $search;
    public $posst;
    public $total = 0;
    public $invc_id = 0;

    public $menu = [];
    public function mount()
    {
        //get Exiting table records
        $check = invoices::where('table_id', $this->table_id)->where('bill_status', 'open')->count();
        if ($check > 0) {
            $invc = invoices::where('table_id', $this->table_id)->where('bill_status', 'open')->first();
            $this->items = json_decode($invc->items, true);
            $this->invc_id = $invc->invc_id;
            $this->total = $invc->total;
        }

         
         $p = products::all();
         $dd = extras::all();
        foreach($p as $r){
            array_push($this->menu,$r);
        };
        foreach($dd as $rd){
            array_push($this->menu,$rd);
        };
      
        //dd(json_encode(products::all()));

    }

    public function render()
    {
      /*  if($this->table_id == 'DELIVERY'){
            $this->posst = delivery_menu::all()->groupBy(function ($user) {
                // Group the users by creation day.
                return $user->category;
            })->all();
            $dd = delivery_menu_extras::all();
        }else{

            $this->posst = products::all()->groupBy(function ($user) {
                // Group the users by creation day.
                return $user->category;
            })->all();
            $dd = extras::all();
        } */


        //array_push($this->posst, $dd);
        return view('livewire.table-info');
    }

    public function billclose()
    {
        invoices::where('table_id', $this->table_id)->where('bill_status', 'open')->update([
            'bill_status' => 'close',

        ]);
        tables::where('table_id', $this->table_id)->update(['table_engaged' => 'false']);
        $this->items = [];
        $this->total = 0;

    }

    public function additem($name, $price, $pav, $cate,$type)
    {

        $check = invoices::where('table_id', $this->table_id)->where('bill_status', 'open')->count();
        $invc = invoices::where('table_id', $this->table_id)->where('bill_status', 'open')->first();
        tables::where('table_id', $this->table_id)->update(['table_engaged' => 'true']);

        $data = [
            'name' => $name,
            'price' => $price,
            'pav' => $pav,
            'category' => $cate,
            'qyt' => 1
        ];
        if($type != 'qyt'){
            array_push($this->items, $data);
        }

        $this->total = 0;
        foreach ($this->items as $t) {
            $this->total = $this->total + $t['price']*$t['qyt'];
        }
        $invc_id = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyz"), 0, 6);
        //add record to invoice
        if ($check == 0) {
            invoices::create([
                'invc_id' => $invc_id,
                'table_id' => $this->table_id,
                'items' => json_encode($this->items),
                'extras' => '',
                'total' => $this->total,
                'bill_status' => 'open',
                'created_at' => (Carbon::now('Asia/Kolkata')),
                'updated_at' => (Carbon::now('Asia/Kolkata'))
            ]);
            $this->invc_id = $invc_id;
        } else {
            //add items again
            invoices::where('invc_id', $this->invc_id)->where('bill_status', 'open')->update([
                'items' => json_encode($this->items),
                'total' => $this->total,
            ]);
        }


    }

    public function removeitem($key)
    {

        array_splice($this->items,$key,1);


        $this->total = 0;
        foreach ($this->items as $t) {
            $this->total = $this->total + $t['price']*$t['qyt'];
        }
        invoices::where('invc_id', $this->invc_id)->where('bill_status', 'open')->update([
            'items' => json_encode($this->items),
            'total' => $this->total,
        ]);
        if (count($this->items) == 0) {

            invoices::where('invc_id', $this->invc_id)->delete();
            tables::where('table_id', $this->table_id)->update(['table_engaged' => 'false']);
        }

    }


    public function openmodal()
    {
        $this->modal = true;
    }

    public function closemodal()
    {
        $this->modal = false;
    }

    public function add($i)
    {
        $i = $i + 1;
        $this->i = $i;
        array_push($this->inputs, $i);
    }

    public function remove($i)
    {
        unset($this->inputs[$i]);
    }

    public function addqyt($name, $price, $pav, $cate)
    {
     
        foreach ($this->items as $key => $t) {
            if ($t['name'] == $name && $t['category'] == $cate) {
                $this->items[$key]['qyt']=$this->items[$key]['qyt']+ 1;
                $this->additem($name, $price, $pav, $cate,'qyt');
            }
        }
    } 
    public function removeqyt($name, $price, $pav, $cate)
    {
        foreach ($this->items as $key => $t) {
            if ($t['name'] == $name) 
            if($this->items[$key]['qyt'] < 2){
                $this->removeitem($key);

            }
                else{
                $this->items[$key]['qyt']=$this->items[$key]['qyt']- 1;
                $this->additem($name, $price, $pav, $cate,'qyt');
                }
                
            }
        }
    }



