<x-app-layout>

<div class='mx-auto mt-5 bg-white sm:w-1/2 h-1/2'><canvas id="myChart" ></canvas>
<div class='mx-auto mt-5 bg-white sm:w-1/2 h-1/2'><canvas id="exp" ></canvas>
<div class='mx-auto mt-5 bg-white sm:w-1/2 h-1/2'><canvas id="pnl" ></canvas>
</div>
<div class='mx-auto mt-5  sm:w-1/2 h-1/2'>
<div class="w-11/12 m-4 p-5 shadow-md bg-white">
        <div class='text-xl font-black text-black '>
        Today's Profit  (Sales - Expenses)
        </div>
        <div class="flex font-bold text-excel">
        ₹{{\app\models\invoices::whereDate('created_at', \Carbon\Carbon::today())->sum('total')}} -
        ₹{{\app\models\expenses::whereDate('created_at', \Carbon\Carbon::today())->sum('total')}}
        </div>
        <div class="text-2xl font-black @if((\app\models\invoices::whereDate('created_at', \Carbon\Carbon::today())->sum('total') - \app\models\expenses::whereDate('created_at', \Carbon\Carbon::today())->sum('total')) < 0) text-red-600 @else text-green-600 @endif">
       ₹ {{\app\models\invoices::whereDate('created_at', \Carbon\Carbon::today())->sum('total') - \app\models\expenses::whereDate('created_at', \Carbon\Carbon::today())->sum('total')}}
    </div>
</div>

<div class="w-11/12 m-4 p-5 shadow-md bg-white">
        <div class='text-xl font-black text-black '>
        This Months's Profit  (Sales - Expenses)
        </div>
        <div class="flex font-bold text-excel">
        ₹{{\app\models\invoices::whereMonth('created_at', date('m'))->sum('total')}} -
        ₹{{\app\models\expenses::whereMonth('created_at',date('m'))->sum('total')}}
        </div>
        <div class="text-2xl font-black @if((\app\models\invoices::whereMonth('created_at', \Carbon\Carbon::today())->sum('total') - \app\models\expenses::whereMonth('created_at', \Carbon\Carbon::today())->sum('total')) < 0) text-red-600 @else text-green-600 @endif">
       ₹ {{\app\models\invoices::whereMonth('created_at', date('m'))->sum('total') - \app\models\expenses::whereMonth('created_at', date('m'))->sum('total')}}
    </div>
</div>
</div>







@push('src')
<script>
$( document ).ready(function() {
    var d = {!! $data !!};
    var s = {!! $sums !!};
    var ed = {!! $edata !!};
    var es = {!! $esums !!};
  
const ctx = document.getElementById('myChart');
const myChart = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: d,
        datasets: [{
            label: 'Total Sales Weekly',
            data: s,
            backgroundColor: [
             '#00E676'
            ],
            borderColor: [
               '#00E676'
            ],
            borderWidth: 1
        }]
    },
    options: {
        scales: {
            y: {
                beginAtZero: true,
               
            },
           x: {
              
                display: false
            },
            
        }
    }
});


const ctx2 = document.getElementById('exp');
const myChart2 = new Chart(ctx2, {
    type: 'bar',
    data: {
        labels: ed,
        datasets: [{
            label: 'Total Expenses Weekly',
            data: es,
            backgroundColor: [
             '#FF1744'
            ],
            borderColor: [
               '#FF1744'
            ],
            borderWidth: 1
        }]
    },
    options: {
        scales: {
            y: {
                beginAtZero: true,
               
            },
           x: {
              
                display: false
            },
            
        }
    }
});

const ctx3 = document.getElementById('pnl');
const myChart3 = new Chart(ctx3, {
    type: 'pie',
    data: {
        labels: ['Sales','Expenses'],
        datasets: [{
            label: 'Total Expenses Weekly',
            data: [{{$totalearn}},{{$totalexp}}],
            backgroundColor: [
                '#00E676', '#FF1744',
            ],
            borderColor: [
                '#00E676', '#FF1744',
            ],
            borderWidth: 1
        }]
    },
    options: {
    responsive: true,
    plugins: {
      legend: {
        position: 'top',
      },
      title: {
        display: true,
        text: 'Earnign / Expenses From Start to Till Date'
      }
    }
  },
});

});
  </script>
  
@endpush
</x-app-layout>