<div>
    {{-- Knowing others is intelligence; knowing yourself is true wisdom. --}}

    <div class="grid text-center grid-cols-3 grid-rows-1 gap-1">
        <div class="h-20  text-sm shadow-lg bg-white m-1 p-2">
            Today's
            <div class="font-semibold text-2xl overflow-y-auto">
                ₹{{\App\Models\expenses::whereDate('created_at', Carbon\Carbon::today())->sum('total')}}
            </div>
        </div>
        <div class="h-20 text-sm shadow-lg bg-white m-1 p-2">
            Current Month
            <div class="font-semibold  text-2xl overflow-y-auto">
                ₹{{\App\Models\expenses::whereMonth('created_at', Carbon\Carbon::now()->month)->sum('total')}}
            </div>
        </div>
        <div class="h-20 text-sm shadow-lg bg-white m-1 p-2">
            Total
            <div class="font-semibold  text-2xl overflow-y-auto">
                ₹{{\App\Models\expenses::sum('total')}}
            </div>
        </div>
    </div>


    <div class="">
        <button type="button" wire:click="openmodal" class="py-2 px-4  bg-indigo-600 hover:bg-indigo-700 focus:ring-indigo-500 focus:ring-offset-indigo-200 text-white w-full transition ease-in duration-200 text-center text-base font-semibold shadow-md focus:outline-none focus:ring-2 focus:ring-offset-2 ">
            Add Expense
        </button>

    </div>


    @if(Carbon\Carbon::parse($filterr)->format('d-m-Y') != Carbon\Carbon::today()->format('d-m-Y'))

<div class="shadow-lg w-full bg-white dark:bg-gray-700 relative overflow-hidden">
    <a href="#" class="w-full h-full block">
        <div class="flex items-center justify-between px-4 py-6 space-x-4">
            <div class="flex items-center">
                <span class="rounded-full relative p-5 bg-yellow-100">
                    <svg width="40" fill="currentColor" height="40" class="text-yellow-500 h-5 absolute top-1/2 left-1/2 transform -translate-x-1/2 -translate-y-1/2" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg">
                        <path d="M1362 1185q0 153-99.5 263.5t-258.5 136.5v175q0 14-9 23t-23 9h-135q-13 0-22.5-9.5t-9.5-22.5v-175q-66-9-127.5-31t-101.5-44.5-74-48-46.5-37.5-17.5-18q-17-21-2-41l103-135q7-10 23-12 15-2 24 9l2 2q113 99 243 125 37 8 74 8 81 0 142.5-43t61.5-122q0-28-15-53t-33.5-42-58.5-37.5-66-32-80-32.5q-39-16-61.5-25t-61.5-26.5-62.5-31-56.5-35.5-53.5-42.5-43.5-49-35.5-58-21-66.5-8.5-78q0-138 98-242t255-134v-180q0-13 9.5-22.5t22.5-9.5h135q14 0 23 9t9 23v176q57 6 110.5 23t87 33.5 63.5 37.5 39 29 15 14q17 18 5 38l-81 146q-8 15-23 16-14 3-27-7-3-3-14.5-12t-39-26.5-58.5-32-74.5-26-85.5-11.5q-95 0-155 43t-60 111q0 26 8.5 48t29.5 41.5 39.5 33 56 31 60.5 27 70 27.5q53 20 81 31.5t76 35 75.5 42.5 62 50 53 63.5 31.5 76.5 13 94z">
                        </path>
                    </svg>
                </span>
                <p class="text-sm text-gray-700 dark:text-white ml-2 font-semibold border-b border-gray-200">
                  Sale on {{Carbon\Carbon::parse($filterr)->format('d-m-Y')}}
                </p>
            </div>
            <div class="border-b border-gray-200 mt-6 md:mt-0 text-black dark:text-white font-bold text-xl">
                ₹{{\App\Models\expenses::whereDate('created_at', Carbon\Carbon::parse($this->filterr))->orderBy('id', 'DESC')->sum('total')}}
               
            </div>
        </div>
       
    </a>
</div>

    @endif

    <div class="sm:container sm:mx-auto ">
        <div class="py-8">
            <div class="flex flex-row mb-1 sm:mb-0 justify-between w-full">
                <h2 class="text-2xl leading-tight">
                    Expenses
                </h2>
                <div class="text-end">
                    <form class="flex flex-col md:flex-row w-3/4 md:w-full max-w-sm md:space-x-3 space-y-3 md:space-y-0 justify-center">

                        <label class="text-gray-700" for="time">
                            <input wire:model="filterr" type="date"
                            data-date-format="DD MMMM YYYY"
                            class="appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 rounded-lg text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent flex-1" />
                        </label>

                        <button wire:click="searchk" type="button" class="py-2 px-4  bg-indigo-600 hover:bg-indigo-700 focus:ring-indigo-500 focus:ring-offset-indigo-200 text-white w-full transition ease-in duration-200 text-center text-base font-semibold shadow-md focus:outline-none focus:ring-2 focus:ring-offset-2  rounded-lg ">
                            Search
                        </button>


                    </form>
                </div>
            </div>
            <div class="sm:-mx-8 px-4 sm:px-8 py-4 overflow-x-auto">
                <div class="inline-block min-w-full shadow rounded-lg overflow-hidden">
                    <table id='table' class="min-w-full leading-normal">
                        <thead>
                            <tr>
                                <th scope="col" class="px-5 py-3 bg-white  border-b border-gray-200 text-gray-800  text-left text-sm uppercase font-normal">
                                    Name
                                </th>

                                <th scope="col" class="px-5 py-3 bg-white  border-b border-gray-200 text-gray-800  text-left text-sm uppercase font-normal">
                                    Qyt
                                </th>
                                <th scope="col" class="px-5 py-3 bg-white  border-b border-gray-200 text-gray-800  text-left text-sm uppercase font-normal">
                                    Rate
                                </th>
                                <th scope="col" class="px-5 py-3 bg-white  border-b border-gray-200 text-gray-800  text-left text-sm uppercase font-normal">
                                    Note
                                </th>
                                <th scope="col" class="px-5 py-3 bg-white  border-b border-gray-200 text-gray-800  text-left text-sm uppercase font-normal">
                                    Total
                                </th>
                                <th scope="col" class="px-5 py-3 bg-white w-10 border-b border-gray-200 text-gray-800  text-left text-sm uppercase font-normal">
                                    Action
                                </th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach($exp as $e)
                            <tr>
                                <td class="w-10 px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                    {{$e->name}}
                                </td>
                                <td class="w-10 px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                    {{$e->qyt}}
                                </td>
                                <td class="w-10 px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                    {{$e->rate}}
                                </td>
                                <td class="w-10 px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                    {{$e->note}}
                                </td>
                                <td class="w-10 px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                    {{$e->total}}
                                </td>
                                <td wire:click="deletemodalopen('{{$e->total}}','{{$e->id}}')" class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                    <a href="#" class="text-red-600 hover:text-indigo-900">
                                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <path fill-rule="evenodd" clip-rule="evenodd" d="M17 6V5C17 3.89543 16.1046 3 15 3H9C7.89543 3 7 3.89543 7 5V6H4C3.44772 6 3 6.44772 3 7C3 7.55228 3.44772 8 4 8H5V19C5 20.6569 6.34315 22 8 22H16C17.6569 22 19 20.6569 19 19V8H20C20.5523 8 21 7.55228 21 7C21 6.44772 20.5523 6 20 6H17ZM15 5H9V6H15V5ZM17 8H7V19C7 19.5523 7.44772 20 8 20H16C16.5523 20 17 19.5523 17 19V8Z" fill="currentColor" />
                                        </svg>
                                    </a>
                                </td>
                            </tr>
                            @endforeach


                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>

    <x-jet-confirmation-modal wire:model="delete_model">
        <x-slot name="title">
            Delete
        </x-slot>

        <x-slot name="content">
            Do You want to Delete this Invoice amounting <br>
            <b>{{$exp_total}} </b>

        </x-slot>
        <x-slot name="footer">


            <div class="flex items-center">
                <button type="button" wire:click="delete_invc({{$delete_id}})" class="w-full flex items-center border-l text-white border-t border-b text-base font-medium rounded-l-md  bg-red-500 hover:bg-red-700 px-4 py-2">

                    Delete
                </button>
                <button type="button" wire:click="deletemodalclose" class="w-full border text-base font-medium rounded-r-md text-white bg-indigo-500 hover:bg-indigo-700 px-4 py-2">
                    Cancel
                </button>
            </div>

        </x-slot>
    </x-jet-confirmation-modal>
    @if($notemodal == true)
    <x-jet-dialog-modal wire:model="notemodal">
        <x-slot name="title">
            Note
        </x-slot>
        <x-slot name="content">
            <div class="text-clip overflow-hidden">
                {{$selectednote}}
            </div>

        </x-slot>
        <x-slot name="footer">
        </x-slot>
    </x-jet-dialog-modal>
    @endif

    @if($modal == true)
    <x-jet-dialog-modal wire:model="modal">
        <x-slot name="title">
            Add Expense
        </x-slot>

        <x-slot name="content">

            <div>
                <label for="location" class="block text-sm font-medium text-gray-700">Location</label>
                <select wire:model="oseleected" id="location" wire:change="optionchange"  name="location" class="mt-1 block w-full pl-3 pr-10 py-2 text-base border-gray-300 focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm rounded-md">
                    <option selected value="-1">Select Type</option>
                    <option  value="0">others</option>
                    @foreach($invt as $i)
                        <option value="{{$i->uid}}">{{$i->name}}</option>
                    @endforeach
                </select>
            </div>
            @if($oseleected != -1)

            <div class="mt-5 relative ">
                <label for="name-with-label" class="text-gray-700">
                    Name
                </label>
                <input @if($oseleected == 0 || $oseleected == null) @else disabled="" @endif type="text" wire:model="name" class=" rounded-lg border-transparent flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" name="fix" placeholder="Name of Item" />
            </div>
            <div class="mt-5 relative ">
                <label for="name-with-label" class="text-gray-700">
                    Quantity
                </label>
                <input wire:keyup="total" type="number" wire:model="qyt" class=" rounded-lg border-transparent flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" name="fix" placeholder="Quantity" />
            </div>
            <div class="mt-5 relative ">
                <label for="name-with-label" class="text-gray-700">
                    Rate in ₹
                </label>
                <input wire:keyup="total" type="number" wire:model="rate" class=" rounded-lg border-transparent flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" name="fix" placeholder="Rate ₹" />
            </div>
            <div class="mt-5">
                <label class="text-gray-700" for="name"> Note:
                    <textarea wire:model="note" class="flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 rounded-lg text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" id="comment" placeholder="Enter your comment" name="comment" rows="3" cols="10"></textarea>
                </label>
            </div>


            <div class=" mx-4   font-bold  border-t-2 border-black border-dotted">
                <div class="w-full flex-1">
                    TOTAL : {{$total}}
                </div>

            </div>

            @endif





        </x-slot>

        <x-slot name="footer">

            <button type="button" wire:click="addexp" class="py-2 px-4  bg-indigo-600 hover:bg-indigo-700 focus:ring-indigo-500 focus:ring-offset-indigo-200 text-white w-full transition ease-in duration-200 text-center text-base font-semibold shadow-md focus:outline-none focus:ring-2 focus:ring-offset-2  rounded-lg ">
                Add
            </button>

        </x-slot>
    </x-jet-dialog-modal>
    @endif

    @push('src')
    <script>
        $(document).ready(function() {
            $("#search").on("keyup", function() {
                var value = $(this).val().toLowerCase();
                $("#table tr").filter(function() {
                    $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
                });
            });
        });
    </script>

    @endpush
</div>