<div>
   {{-- Be like water. --}}
   @if(\App\Models\category::count() > 0)
   <div class="fixed  bottom-10 right-10 ...">
      <a wire:click="$toggle('openmodel')" class="mt-4 bg-white relative inline-flex items-center px-8 py-3 overflow-hidden text-indigo-600 border border-current rounded group active:text-indigo-500 focus:outline-none focus:ring">
         <span class="absolute right-0 transition-transform translate-x-full group-hover:-translate-x-4">
            <svg class="w-5 h-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
               <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 8l4 4m0 0l-4 4m4-4H3" />
            </svg>
         </span>
         
         <span class="text-sm font-medium transition-all group-hover:mr-4">
         ADD CATEGORY
         </span>
      </a>
   </div>
   @endif
   <div class=" relative ">
      <input 
         type="text" id="search"
         class="flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent"
         placeholder="Enter Item Name"/>
   </div>
   <div class="px-4 py-5 border-b rounded-t sm:px-2">
      <div class="bg-white  shadow overflow-hidden sm:rounded-md">
         <ul class="divide-y divide-gray-200">
            @forelse($posst as $p)
            <li>
               <a class="block ">
                  <div class="px-4 py-4 sm:px-6">
                     <div class="flex items-center justify-between">
                        <p class="text-md text-gray-700  md:truncate">
                           {{$p->name}}
                        </p>
                     </div>
                     <div class="mt-2 sm:flex sm:justify-between">
                        <div class="sm:flex">
                           <p class="flex items-center text-md font-light text-gray-500 ">
                           </p>
                        </div>
                     </div>
                  </div>
               </a>
            </li>
            @empty
            <div class="max-w-lg mx-auto p-8">
               <div class="relative p-8 text-center rounded-lg">
                  <h2 class="text-2xl font-medium">
                     There's nothing here...
                  </h2>
                  <p class="mt-4 text-sm text-gray-500">
                     Created Categories will appear here, try creating one!
                  </p>
                  <a wire:click="$toggle('openmodel')" class="inline-flex items-center px-5 py-3 mt-8 font-medium text-white bg-blue-600 rounded-lg hover:bg-blue-500">
                     Create a Category
                     <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="flex-shrink-0 w-4 h-4 ml-3">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                     </svg>
                  </a>
               </div>
            </div>
            @endforelse
         </ul>
      </div>
   </div>

   <x-jet-dialog-modal wire:model="openmodel">
        <x-slot name="title">
            Add New Product Category
        </x-slot>

        <x-slot name="content">
            
        <div class=" relative ">
         <input type="text" wire:model='catename' class=" flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" 
         placeholder="Category Name"/>
            </div>

   
    

        </x-slot>

        <x-slot name="footer">
        <a class="inline-block px-12 py-3 text-sm font-medium text-white bg-indigo-600 border border-indigo-600 rounded active:text-indigo-500 hover:bg-transparent hover:text-indigo-600 focus:outline-none focus:ring" wire:click='create_category'>
    Create 
    </a>
        </x-slot>
    </x-jet-dialog-modal>


   @push('src')
   <script>
      $(document).ready(function () {
          $('#search').keyup(function () {
              console.log('wefwef')
      
              var searchText = $(this).val();
      
              $('ul > li').each(function () {
      
                  var currentLiText = $(this).text(),
                      showCurrentLi = currentLiText.indexOf(searchText) !== -1;
      
                  $(this).toggle(showCurrentLi);
      
              });
          });
      });
      
      
   </script>
   @endpush
</div>