<div>
    {{-- Knowing others is intelligence; knowing yourself is true wisdom. --}}
    @if(\App\Models\products::count() > 0)
    <div class="fixed  bottom-10 right-10 ...">
    <a wire:click="$toggle('newproduct')" class="mt-4 bg-white relative inline-flex items-center px-8 py-3 overflow-hidden text-indigo-600 border border-current rounded group active:text-indigo-500 focus:outline-none focus:ring">
        <span class="absolute right-0 transition-transform translate-x-full group-hover:-translate-x-4">
            <svg class="w-5 h-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 8l4 4m0 0l-4 4m4-4H3" />
            </svg>
        </span>

        <span class="text-sm font-medium transition-all group-hover:mr-4">
            ADD PRODUCT
        </span>
      </a>
  </div>
  @endif

    <div class=" relative ">
        <input 
               type="text" id="search" oninput="this.value = this.value.toUpperCase()"
               class="flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent"
               placeholder="Enter Item Name"/>
    </div>

    <div class="px-4 py-5 border-b rounded-t sm:px-2">
        <div class="bg-white  shadow overflow-hidden sm:rounded-md">

            <ul class="divide-y divide-gray-200">

                @forelse($posst as $key => $category)
                    <div class="bg-white pl-5 h-10 text-2xl font-semibold">
                        {{$key}} 
                    </div>
                    @foreach($category as $p)
                        <li >
                            <a class="block ">
                                <div class="px-4 py-4 sm:px-6">
                                    <div class="flex items-center justify-between">
                                        <p class="text-md text-gray-700  md:truncate">
                                            {{$p->name}}
                                        </p>
                                        <div class="ml-2 ">
                                            <p class="p-4 inline-flex text-xl leading-5 font-semibold rounded-full bg-green-100 text-green-800">
                                                ₹{{$p->price}}
                                            </p>
                                            <div wire:click="open_mode({{$p->id}})" class='text-red-500 m-5 '>
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 5V4C17 2.89543 16.1046 2 15 2H9C7.89543 2 7 2.89543 7 4V5H4C3.44772 5 3 5.44772 3 6C3 6.55228 3.44772 7 4 7H5V18C5 19.6569 6.34315 21 8 21H16C17.6569 21 19 19.6569 19 18V7H20C20.5523 7 21 6.55228 21 6C21 5.44772 20.5523 5 20 5H17ZM15 4H9V5H15V4ZM17 7H7V18C7 18.5523 7.44772 19 8 19H16C16.5523 19 17 18.5523 17 18V7Z" fill="currentColor" /><path d="M9 9H11V17H9V9Z" fill="red" /><path d="M13 9H15V17H13V9Z" fill="currentColor" /></svg>
                                            </div>

                                            <div wire:click="open_edit_mode({{$p->id}})" class='text-indigo-500 m-5 '>
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M21.2635 2.29289C20.873 1.90237 20.2398 1.90237 19.8493 2.29289L18.9769 3.16525C17.8618 2.63254 16.4857 2.82801 15.5621 3.75165L4.95549 14.3582L10.6123 20.0151L21.2189 9.4085C22.1426 8.48486 22.338 7.1088 21.8053 5.99367L22.6777 5.12132C23.0682 4.7308 23.0682 4.09763 22.6777 3.70711L21.2635 2.29289ZM16.9955 10.8035L10.6123 17.1867L7.78392 14.3582L14.1671 7.9751L16.9955 10.8035ZM18.8138 8.98525L19.8047 7.99429C20.1953 7.60376 20.1953 6.9706 19.8047 6.58007L18.3905 5.16586C18 4.77534 17.3668 4.77534 16.9763 5.16586L15.9853 6.15683L18.8138 8.98525Z" fill="currentColor" /><path d="M2 22.9502L4.12171 15.1717L9.77817 20.8289L2 22.9502Z" fill="currentColor" /></svg> </div>
                                        </div>
                                    </div>
                                    <div class="mt-2 sm:flex sm:justify-between">
                                        <div class="sm:flex">
                                            <p class="flex items-center text-md font-light text-gray-500 ">
                                               Description {{$p->butter_pav}}
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </li>
                    @endforeach
                    @empty
                    <div class="max-w-lg mx-auto p-8">
      <div class="relative p-8 text-center  rounded-lg">
  <h2 class="text-2xl font-medium">
    There's nothing here...
  </h2>

  <p class="mt-4 text-sm text-gray-500">
    Created Products will appear here, try creating one!
  </p>

  <a wire:click="$toggle('newproduct')" class="inline-flex items-center px-5 py-3 mt-8 font-medium text-white bg-blue-600 rounded-lg hover:bg-blue-500">
    Create a products

    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" class="flex-shrink-0 w-4 h-4 ml-3">
      <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
    </svg>
  </a>
</div>

    
</div>
                @endforelse
            </ul>

        </div>
    </div>

    <!--- new product --->
    <x-jet-dialog-modal wire:model="newproduct">
        <x-slot name="title">
            Add New Product
        </x-slot>

        <x-slot name="content">
            
    <div class=" relative ">
    <input type="text" oninput="this.value = this.value.toUpperCase()" wire:model='product_name' class="mt-5 flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" placeholder="Product Name"/>
    </div>
    
<label class="text-gray-700" for="animals">
    Select Product Category
    <select wire:model='product_category' class="block w-52 py-2 px-3 border border-gray-300 bg-white rounded-md shadow-sm focus:outline-none focus:ring-primary-500 focus:border-primary-500" name="animals">
        <option value="f">
            Select an option
        </option>
      
        @foreach (\App\Models\category::all() as $d )
        <option value="{{$d->name}}">
        {{$d->name}}
        </option>
        @endforeach
    </select>
</label>

    <div class=" relative ">
    <input type="text" wire:model='desc' class="mt-5 flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" placeholder="Product DESC"/>
    </div>

    <div class=" relative ">
    <input type="number" wire:model='product_price' class="mt-5 flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" placeholder="Product Price"/>
    </div>


    

        </x-slot>

        <x-slot name="footer">
        <a class="inline-block px-12 py-3 text-sm font-medium text-white bg-indigo-600 border border-indigo-600 rounded active:text-indigo-500 hover:bg-transparent hover:text-indigo-600 focus:outline-none focus:ring" wire:click='create_product'>
    Create 
    </a>
        </x-slot>
    </x-jet-dialog-modal>
    <!--- end new product -->


    <!--- DELETE MODEL --->
    <x-jet-confirmation-modal wire:model="delmodel">
            <x-slot name="title">
                Delete Product
            </x-slot>

            <x-slot name="content">
                Are you sure you want to delete this product? 


            <div class=" relative ">
            <label for="name-with-label" class="text-gray-700">
                Enter Password to Delete Product
            </label>
            <input type="number" wire:model='delpin' class=" rounded-lg border-transparent flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent"  placeholder="Your Password"/>
            </div>
            @if($error)<div class='text-red-500'>Password Wrong</div> @endif

            </x-slot>

            <x-slot name="footer">
                <x-jet-secondary-button wire:click="$toggle('delomodel')" wire:loading.attr="disabled">
                    Nevermind
                </x-jet-secondary-button>

                <x-jet-danger-button class="ml-2" wire:click="delete_product" wire:loading.attr="disabled">
                    Delete 
                </x-jet-danger-button>
            </x-slot>
</x-jet-confirmation-modal>
    <!--- --->


    <x-jet-dialog-modal wire:model="editmodelw">
        <x-slot name="title">
           Edit {{$product_name}}
        </x-slot>

        <x-slot name="content">
        <div class=" relative ">
    <input type="text" oninput="this.value = this.value.toUpperCase()" wire:model='product_name' class="mt-5 flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" placeholder="Product Name"/>
    </div>
    
<!--- <label class="text-gray-700" for="animals">
    Select Product Category
    <select wire:model='product_category' class="block w-52 py-2 px-3 border border-gray-300 bg-white rounded-md shadow-sm focus:outline-none focus:ring-primary-500 focus:border-primary-500" name="animals">
        <option value="f">
            Select an option
        </option>
      
        @foreach (\App\Models\category::all() as $d )
        <option value="{{$d->name}}">
        {{$d->name}}
        </option>
        @endforeach
    </select>
</label> 

    <div class=" relative ">
    <input type="text" wire:model='desc' class="mt-5 flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" placeholder="Product DESC"/>
    </div>
--->
    <div class=" relative ">
    <input type="number" wire:model='product_price' class="mt-5 flex-1 appearance-none border border-gray-300 w-full py-2 px-4 bg-white text-gray-700 placeholder-gray-400 shadow-sm text-base focus:outline-none focus:ring-2 focus:ring-purple-600 focus:border-transparent" placeholder="Product Price"/>
    </div>


    
        </x-slot>

        <x-slot name="footer">
        <a class="inline-block px-12 py-3 text-sm font-medium text-white bg-indigo-600 border border-indigo-600 rounded active:text-indigo-500 hover:bg-transparent hover:text-indigo-600 focus:outline-none focus:ring" 
        wire:click='update_product'>
            Update 
         </a>
        </x-slot>
    </x-jet-dialog-modal>
    @push('src')
        <script>
            $(document).ready(function () {
                $('#search').keyup(function () {
                    
                    var searchText = $(this).val();

                    $('ul > li').each(function () {

                        var currentLiText = $(this).text(),
                            showCurrentLi = currentLiText.indexOf(searchText) !== -1;

                        $(this).toggle(showCurrentLi);

                    });
                });
            });


        </script>
    @endpush
</div>
