<!doctype html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body>
<div class="bg-white">
    {{-- Close your eyes. Count to one. That is how long forever feels. --}}
  
    {{-- START. --}}
    <div id="invc" class="pt-4 mb-20">
        <div class="text-center content">
            <div class="text-2xl font-semibold">EGG WORLD</div>
            <p class="uppercase text-gray-400">Old Mumbai-Pune Express road, Valvan Joint, Valvan, Lonavla - 410401</p>
            <div class="font-semibold mb-4">@if($data->table_id ==  'DELIVERY')
                    DELIVERY @elseif($data->table_id == 'TAKEAWAY') TAKEAWAY @else DINE-IN @endif</div>
        </div>

        <div class="flex  font-semibold">
            <div class="flex-1">
                <div class="uppercase">BILL NO : {{$idf}}</div>
                <div class="uppercase">Date : {{$ca->format('d/m/y')}}</div>
                <div class="uppercase">Table no : {{$data->table_id}}</div>
            </div>
            <div class="">
                Time: {{$ca->format('h:i A')}}

            </div>
        </div>

        <table wire:ignore class="text-left   table p-1 bg-white  rounded-lg">
            <thead class="border-t-2 w-full   border-black border-dotted">
            <tr>
                <th class="pr-2 w-4 whitespace-nowrap font-normal text-gray-900">
                    SI
                </th>
                <th class=" whitespace-nowrap font-normal text-gray-900">
                    Item Name
                </th>
                <th class="pr-2 whitespace-nowrap font-normal text-gray-900">
                    QTY
                </th>
                <th class=" whitespace-nowrap font-normal text-gray-900">
                    RATE
                </th>
                <th class=" whitespace-nowrap font-normal text-gray-900">
                    AMOUNT
                </th>
            </tr>
            </thead>
            <tbody wire:ignore class="border-t-2 border-black border-dotted">
            <?php $i = 0 ?>
            @foreach($items as $key=> $t)
                <?php $i++ ?>
                <tr class="text-gray-700 font-bold">
                    <td class="px-1 dark:border-dark-5">
                        {{$i}}
                    </td>
                    <td class="px-4 dark:border-dark-5">
                        {{$t['name']}}
                    </td>
                    <td class=" px-2 dark:border-dark-5">
                        {{$t['qyt']}}
                    </td>
                    <td class="w-10 px-4 dark:border-dark-5">
                        ₹{{$t['price']}}
                    </td>
                    <td class=" px-4 dark:border-dark-5">
                        ₹{{$t['qyt']*$t['price']}}
                        
                    </td>
                </tr>
            @endforeach


            </tbody>
        </table>
        <div class=" flex border-t-2 border-b-2 border-black border-dotted">
            <div class="w-full flex-1">
                TOTAL ITEMS : {{count($items)}} / QYT: {{$totalqyt}}
            </div>

        </div>
        @if($data->table_id ==  'DELIVERY')
            <div class=" flex border-b-2 border-black border-dotted">
                <div class="w-full flex-1">
                    DELIVERY CHARGES :
                </div>
                <div class="pr-10">
                    ₹40
                </div>

            </div>
        @endif
        @if($discb )
            @if($total_disc != 0)
                <div class="flex  border-b-2 border-black border-dotted">
                    <div class="w-full flex-1">
                        Total Before DISCOUNT:
                    </div>
                    <div class="pr-10">
                        @if($data->table_id ==  'DELIVERY')
                            ₹{{$sum +40}}

                        @else   ₹{{$sum }}
                        @endif
                    </div>

                </div>
                <div class="flex  border-b-2 border-black border-dotted">
                    <div class="w-full flex-1">
                        DISCOUNT @if($disc_type == 'fixed')@else '(%)' @endif: {{$total_disc}}
                    </div>
                    <div class="pr-10">
                        ₹{{$sum - $sum2}}
                    </div>

                </div>
            @endif
        @endif
        <div class="flex text-2xl text- font-bold  border-b-2 border-black border-dotted">
            <div class="w-full flex-1">
                TOTAL :
            </div>
            <div class="pr-8 text-right">
                @if($data->table_id ==  'DELIVERY')
                    ₹{{($sum2 ?? $sum)+40}}

                @else
                ₹{{($sum2 ?? $sum)}}
                @endif

            </div>
        </div>
        <div class="w-full text-center text-xl font-semibold  mt-5 uppercase">
            Thankyou. Visit Us Again !
        </div>


    </div>
    
    {{-- END --}}


    
</div>
</body>
</html>