<?php

namespace unitic\mngr;

use Illuminate\Support\Facades\Storage;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Route;

class MngrServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //$this->mergeConfigFrom(__DIR__ . '/../config/Mngr.php', 'mngr');
        $this->loadViewsFrom(__DIR__.'/../resources/views', 'mngr');
        if(Storage::exists('activateed') == true && Storage::exists('installed') == true){
            $this->loadRoutesFrom(__DIR__.'/../routes/a.php');
        }else{
            $this->loadRoutesFrom(__DIR__.'/../routes/web.php');
        }
        $this->publishConfig();

        // $this->loadViewsFrom(__DIR__.'/resources/views', 'mngr');
        // $this->loadMigrationsFrom(__DIR__.'/../database/migrations');
        // $this->registerRoutes();
    }

    /**
     * Register the package routes.
     *
     * @return void
     */
    protected function registerRoutes()
    {
        Route::group($this->routeConfiguration(), function () {
            $this->loadRoutesFrom(__DIR__.'/../routes/web.php');
        });
    }


    /**
    * Get route group configuration array.
    *
    * @return array
    */
    private function routeConfiguration()
    {
        return [
            'namespace'  => "UNITIC\Mngr\Http\Controllers",
            'middleware' => 'api',
            'prefix'     => 'api'
        ];
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        // Register facade
        $this->app->singleton('mngr', function () {
            return new Mngr;
        });
    }

    /**
     * Publish Config
     *
     * @return void
     */
    public function publishConfig()
    {
        if ($this->app->runningInConsole()) {
            $this->publishes([
                __DIR__ . '/../config/Mngr.php' => config_path('Mngr.php'),
            ], 'config');
        }
    }
}
